1. Flows
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • List Tasks
            • Get specific Task
            • New Task
          • List Stages
          • Get specific Stage
        • List Flows
          GET
        • Get specific Flow
          GET
      • Forms
        • List Form
        • Get specific Form
        • List Form Create
      • List Types
        GET
      • Count Types
        GET
      • Get specific Type
        GET
      • Create Type
        POST
      • Update Type
        PUT
      • Delete Type
        DELETE
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • CertiSign
      • Docusign
      • D4Sign
      • Clicksign
      • Adobe Sign
      • Whatsapp Twilio
      • SendGrid
      • OpenAi
      • Integration
      • New Integration
    • Schedule Tasks
      • List Schedule Tasks
      • Get specify Schedule Task
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
    • List API Keys
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
    • Position
    • Dimensions
    • NodeType
    • WorkflowNodeDefinition
    • WorkflowEdgeDefinition
    • TaskFields
    • TriggerNodeData
    • CronConfig
    • StartNodeData
    • EndNodeData
    • ApprovalNodeData
    • TaskNodeData
    • FormNodeData
    • EmailNodeData
    • ConditionalsNodeData
    • ConditionalRule
    • ConditionalsNodeData_examples_inline
    • RouteNodeData
    • RouteRule
    • MergeNodeData
    • CrudNodeData
    • HttpNodeData
    • Error
    • AiNodeData
    • ComparisonNotificationNodeData
    • Workflow
    • WorkflowCreate
    • WorkflowUpdate
    • WorkflowExecution
    • NodeExecution
  1. Flows

List Flows

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
GET
https://api-develop.enspace.io
/c-type-flows
Maintainer:Julio Cordeiro

List Flows#

This endpoint retrieves a list of flows configured in the system. A flow represents a structured process associated with a specific item type. The response includes general flow information (such as ID, name, status, start type, and icon), the related item type, the user who created the flow, and the stages that define the process structure.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Query Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-develop.enspace.io/c-type-flows?__relations=user,item_type,stages' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>'
Response Response Example
200 - Example 1
[
    {
        "id": 0,
        "name": "string",
        "status": "string",
        "item_type": {
            "name": "string",
            "slug": "string",
            "description": "string",
            "icon": "string",
            "color": "string",
            "settings": {
                "property1": "string",
                "property2": "string"
            }
        },
        "start_type": "always",
        "icon": "string",
        "user": {
            "id": 0,
            "created_at": "string",
            "email": "string",
            "meta": {
                "fname": "string",
                "lname": "string"
            }
        },
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    }
]
Previous
Get specific Stage
Next
Get specific Flow
Built with